/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.ui.internal;

import java.awt.BorderLayout;
import java.awt.Dimension;

import javax.swing.JComponent;
import javax.swing.JLabel;

import com.onaro.client.leekui.ui.IEditorReference;

/** 
 * This class is a reimplementation of the Eclipse class org.eclipse.ui.internal.EditorPane
 */
public final class EditorPane extends PartPane {
	
	private static final long serialVersionUID = 1L;

	public EditorPane(IEditorReference ref, WorkbenchPage page) {
		super(ref, page);

		initialize();
	}
	
	private void initialize() {
		setLayout(new BorderLayout());
		
		add(new JLabel(), BorderLayout.CENTER);
		
		setSize(400, 300);
		setPreferredSize(new Dimension(400, 300));
	}
	
	public IEditorReference getEditorReference() {
		return (IEditorReference) getPartReference();
	}

	public void setEditorComponent(JComponent editorComponent)
	{
		this.add(editorComponent, BorderLayout.CENTER);
	}
}
