/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.ui.internal;

import com.onaro.client.leekui.ui.IEditorPart;
import com.onaro.client.leekui.ui.IEditorReference;
import com.onaro.client.leekui.ui.IEditorSite;
import com.onaro.client.leekui.ui.internal.compatibility.EditorDescriptor;

/** 
 * This class is a reimplementation of the Eclipse class org.eclipse.ui.internal.EditorSite
 */
public class EditorSite extends PartSite implements IEditorSite {
	
	private EditorDescriptor descriptor;
	
	public EditorSite(IEditorReference ref, IEditorPart editor,
            WorkbenchPage page, EditorDescriptor descriptor) {
        super(ref, editor, page);
        
        this.descriptor = descriptor;
        
        setId(descriptor.getId());
	}
}
