/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.ui.internal;

import javax.swing.JPanel;

import com.onaro.client.leekui.ui.IWorkbenchPartReference;

/** 
 * This class is a reimplementation of the Eclipse class org.eclipse.ui.internal.PartPane
 */
public abstract class PartPane extends JPanel
{
	private String id;
	
	private WorkbenchPage page;
	
	private IWorkbenchPartReference partReference; 
	
	public PartPane(IWorkbenchPartReference partReference,WorkbenchPage workbenchPage) {
        this.id = partReference.getId();
        
        this.partReference = partReference;
        this.page = workbenchPage;
    }

	public String getId() {
		return id;
	}

	public WorkbenchPage getPage() {
		return page;
	}

	public IWorkbenchPartReference getPartReference() {
		return partReference;
	}
}
