/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.ui.internal;

import com.onaro.client.leekui.ui.IViewPart;
import com.onaro.client.leekui.ui.IViewReference;
import com.onaro.client.leekui.ui.IViewSite;

/** 
 * This class is a reimplementation of the Eclipse class org.eclipse.ui.internal.ViewSite
 */
public class ViewSite extends PartSite implements IViewSite 
{
	public ViewSite(IViewReference ref, IViewPart view, WorkbenchPage page,
            String id, String pluginId, String registeredName) {

        super(ref, view, page);
        
        setId(id);
//        setRegisteredName(registeredName);
//        setPluginId(pluginId);
    }
	
	/**
     * Returns the secondary id or <code>null</code>.
     */
    public String getSecondaryId() {
        return ((IViewReference) getPartReference()).getSecondaryId();
    }

    /**
     * Returns the view.
     */
    public IViewPart getViewPart() {
        return (IViewPart) getPart();
    }
}
