/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.ui.internal;

import com.onaro.client.leekui.jface.preferences.PreferenceManager;
import com.onaro.client.leekui.ui.IWorkbench;
import com.onaro.client.leekui.ui.internal.dialogs.WorkbenchPreferenceManager;
import com.onaro.client.leekui.ui.internal.progress.ProgressManager;
import com.onaro.client.leekui.ui.internal.registry.EditorRegistry;
import com.onaro.client.leekui.ui.internal.registry.PerspectiveRegistry;
import com.onaro.client.leekui.ui.internal.registry.ViewRegistry;

/** 
 * This class is a reimplementation of the Eclipse class org.eclipse.ui.internal.Workbench
 */
public class Workbench implements IWorkbench {
	private static final Workbench INSTANCE = new Workbench();

	public static Workbench getInstance() {
		return INSTANCE;
	}

	private EditorRegistry editorRegistry;

	private ViewRegistry viewRegistry;

	private PerspectiveRegistry perspectiveRegistry;

	private PreferenceManager preferenceManager;

	private ProgressManager progressService;

	public PerspectiveRegistry getPerspectiveRegistry() {
		if (perspectiveRegistry == null) {
			perspectiveRegistry = new PerspectiveRegistry();
		}

		return perspectiveRegistry;
	}

	public EditorRegistry getEditorRegistry() {

		if (editorRegistry == null) {
			editorRegistry = new EditorRegistry();
		}

		return editorRegistry;
	}

	public ViewRegistry getViewRegistry() {

		if (viewRegistry == null) {
			viewRegistry = new ViewRegistry();
		}

		return viewRegistry;
	}

	public PreferenceManager getPreferenceManager() {

		if (preferenceManager == null) {
			preferenceManager = new WorkbenchPreferenceManager();
		}

		return preferenceManager;
	}

	public ProgressManager getProgressService() {
		if (progressService == null) {
			progressService = ProgressManager.getInstance();
		}
		return progressService;
	}
}
