/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.ui.internal.compatibility;

import javax.swing.Icon;

import com.onaro.client.leekui.ui.IEditorDescriptor;
import com.onaro.client.leekui.ui.IEditorMatchingStrategy;
import com.onaro.client.leekui.ui.IEditorPart;

/**
 * This class is a reimplementation of the Eclipse class org.eclipse.ui.internal.registry.EditorDescriptor
 */
public class EditorDescriptor implements IEditorDescriptor {

	private String id;
	
	private String label;
	
	private Class<? extends IEditorPart> editorPartClass;
	
	private IEditorMatchingStrategy editorMatchingStrategy;
	
	public EditorDescriptor(Class<? extends IEditorPart> editorPartClass, String id, String label, IEditorMatchingStrategy editorMatchingStrategy) {
		this.editorPartClass = editorPartClass;
		this.id = id;
		this.label = label;
		this.editorMatchingStrategy = editorMatchingStrategy;
	}

	public String getId() {
		return id;
	}

	public Icon getIcon() {
		return null;
	}

	public String getLabel() {
		return label;
	}

	public IEditorMatchingStrategy getEditorMatchingStrategy() {
		return editorMatchingStrategy;
	}

	public IEditorPart createEditor() throws Exception
	{
		IEditorPart editorPart = editorPartClass.newInstance();
		
		return editorPart;
	}
}
