/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.ui.internal.compatibility;

import java.util.List;

import javax.swing.Icon;

import com.onaro.client.leekui.ui.IViewPart;
import com.onaro.client.leekui.ui.views.IViewDescriptor;

/**
 * This class is a reimplementation of the Eclipse class org.eclipse.ui.internal.registry.ViewDescriptor
 */
public class ViewDescriptor implements IViewDescriptor {

	private boolean allowMultiple;
	
	private String id;
	
	private String label;
	
	public final Class<? extends IViewPart> viewPartClass;
	
	private Icon icon;
	
	private List<String> categoryPath;
	
	public ViewDescriptor(Class<? extends IViewPart> viewPartClass, String id, String label, Icon icon, boolean allowMultiple, List<String> categoryPath) {
		this.viewPartClass = viewPartClass;
		this.id = id;
		this.label = label;
		this.icon = icon;
		this.allowMultiple = allowMultiple;
		this.categoryPath = categoryPath;
	}

	public IViewPart createView() throws Exception {
		IViewPart viewPart = viewPartClass.newInstance();
		
		return viewPart;
	}

	public boolean getAllowMultiple() {
		return allowMultiple;
	}

	public String getDescription() {
		return null;
	}

	public String getId() {
		return id;
	}

	public Icon getIcon() {
		return icon;
	}

	public String getLabel() {
		return label;
	}

	public List<String> getCategoryPath() {
		return categoryPath;
	}
	
}
