/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.ui.internal.dialogs;

import org.apache.log4j.Logger;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IConfigurationElement;

import com.onaro.client.leekui.jface.preferences.IPreferencePage;
import com.onaro.client.leekui.jface.preferences.PreferenceNode;
import com.onaro.client.leekui.ui.internal.WorkbenchPlugin;

/**
 * This class is a reimplementation of the Eclipse class org.eclipse.ui.internal.dialogs.WorkbenchPreferenceNode
 */
public class WorkbenchPreferenceNode extends PreferenceNode {
	
	static Logger logger = Logger.getLogger(WorkbenchPreferenceNode.class);
	
	private IConfigurationElement element;

	public WorkbenchPreferenceNode(String id, IConfigurationElement element) {
		super(id, element.getAttribute("name")); //$NON-NLS-1$
		this.element = element;
	}

	@Override
	protected IPreferencePage createObject() {
		IPreferencePage page = null;
		try {
			page = (IPreferencePage)WorkbenchPlugin.createExtension(getConfigurationElement(), "class"); //$NON-NLS-1$
		} catch (CoreException e) {
			String msg = "Failed to create preference page: " + getId(); //$NON-NLS-1$

			logger.warn(msg + " - " + e.getMessage() , e); //$NON-NLS-1$
		}
		return page;
	}
	
	public IConfigurationElement getConfigurationElement() {
		return element;
	}

}
