/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.ui.internal.progress;

import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;

import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JProgressBar;
import javax.swing.JToggleButton;
import javax.swing.SwingConstants;

import com.onaro.client.leekui.jface.preferences.Messages;

public class ProgressMonitorComponent extends JPanel {
	
	private static final long serialVersionUID = 1L;
	private JProgressBar progressBar = null;
	private JLabel northLabel = null;
	private JLabel southLabel = null;
	private JToggleButton button = null;

	/**
	 * This method initializes 
	 * 
	 */
	public ProgressMonitorComponent() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 */
	private void initialize() {
        GridBagConstraints gridBagConstraints3 = new GridBagConstraints();
        gridBagConstraints3.gridx = 1;
        gridBagConstraints3.gridheight = 3;
        gridBagConstraints3.insets = new Insets(0, 5, 0, 0);
        gridBagConstraints3.gridy = 0;
        GridBagConstraints gridBagConstraints2 = new GridBagConstraints();
        gridBagConstraints2.gridx = 0;
        gridBagConstraints2.fill = GridBagConstraints.BOTH;
        gridBagConstraints2.weightx = 1.0;
        gridBagConstraints2.weighty = 1.0;
        gridBagConstraints2.gridy = 2;
        GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
        gridBagConstraints1.gridx = 0;
        gridBagConstraints1.fill = GridBagConstraints.BOTH;
        gridBagConstraints1.weightx = 1.0;
        gridBagConstraints1.weighty = 1.0;
        gridBagConstraints1.gridy = 0;
        GridBagConstraints gridBagConstraints = new GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.fill = GridBagConstraints.HORIZONTAL;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.insets = new Insets(5, 0, 5, 0);
        gridBagConstraints.gridy = 1;
        this.setLayout(new GridBagLayout());
        this.setSize(new Dimension(292, 124));
        this.add(getProgressBar(), gridBagConstraints);
        this.add(getNorthLabel(), gridBagConstraints1);
        this.add(getSouthLabel(), gridBagConstraints2);
        this.add(getButton(), gridBagConstraints3);
			
	}

	/**
	 * This method initializes progressBar	
	 * 	
	 * @return javax.swing.JProgressBar	
	 */
	public JProgressBar getProgressBar() {
		if (progressBar == null) {
			progressBar = new JProgressBar();
		}
		return progressBar;
	}

	/**
	 * This method initializes northLabel	
	 * 	
	 * @return javax.swing.JLabel	
	 */
	public JLabel getNorthLabel() {
		if (northLabel == null) {
			northLabel = new JLabel();
			northLabel.setText(Messages.INSTANCE.getNorthLabel());
			northLabel.setVerticalAlignment(SwingConstants.BOTTOM);
			northLabel.setVerticalTextPosition(SwingConstants.BOTTOM);
		}
		return northLabel;
	}

	/**
	 * This method initializes southLabel	
	 * 	
	 * @return javax.swing.JLabel	
	 */
	public JLabel getSouthLabel() {
		if (southLabel == null) {
			southLabel = new JLabel();
			southLabel.setText(Messages.INSTANCE.getSouthLabel());
			southLabel.setVerticalAlignment(SwingConstants.TOP);
			southLabel.setVerticalTextPosition(SwingConstants.TOP);
		}
		return southLabel;
	}

	/**
	 * This method initializes button	
	 * 	
	 * @return javax.swing.JButton	
	 */
	public JToggleButton getButton() {
		if (button == null) {
			button = new JToggleButton();
			button.setIcon(new ImageIcon("ch_cancel.gif"));
			button.setOpaque(false);
			button.setMargin(new Insets(2, 2, 2, 2));
		}
		return button;
	}

	
	
}  //  @jve:decl-index=0:visual-constraint="10,10"
