/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.ui.leekui.dialogs;

import java.awt.Component;
import java.awt.Dimension;

import javax.swing.Icon;
import javax.swing.JCheckBox;
import javax.swing.JComponent;
import javax.swing.JFrame;
import javax.swing.JPanel;

import com.onaro.client.leekui.jface.dialogs.IDialogPageContainer;
import com.onaro.client.leekui.jface.dialogs.IValidatableDialogPage;
import com.onaro.client.leekui.jface.dialogs.TitleAreaDialog;


public class DialogTestContents extends JPanel implements IValidatableDialogPage {

	private static final long serialVersionUID = 1L;
	
	private JCheckBox jCheckBox = null;
	private IDialogPageContainer container = null;  //  @jve:decl-index=0:
	private JCheckBox jCheckBox1 = null;

	private JCheckBox jCheckBox2 = null;

	/**
	 * This method initializes 
	 * 
	 */
	public DialogTestContents() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 */
	private void initialize() {
        this.setSize(new Dimension(350, 210));
        this.add(getJCheckBox(), null);
        this.add(getJCheckBox1(), null);
        this.add(getJCheckBox2(), null);
			
	}
	
	public boolean isPageValid() {
		return getJCheckBox().isSelected();
	}

	public boolean performCancel() {
		System.out.println("Cancel pressed");
		return true;
	}

	public boolean performOk() {
		System.out.println("OK pressed");
		return true;
	}

	public void setContainer(IDialogPageContainer dialogPageContainer) {
		this.container = dialogPageContainer;
		
	}

	public JComponent getComponent(boolean create) {
		return this;
	}

	public void dispose() {	
	}

	public Component getComponent() {
		return this;
	}

	public String getDescription() {
		return null;
	}

	public String getErrorMessage() {
		if (getJCheckBox1().isSelected()) {
			return "I've got an error!";
		} else {
			return null;
		}
	}

	public Icon getIcon() {
		return null;
	}

	public String getMessage() {
		return "test description";
	}

	public String getTitle() {
		return "Test Title Area Dialog";
	}

	public void performHelp() {		
	}

	public void setDescription(String description) {		
	}

	public void setIcon(Icon icon) {
		
	}

	public void setTitle(String title) {
		
	}

	/**
	 * This method initializes jCheckBox	
	 * 	
	 * @return javax.swing.JCheckBox	
	 */
	private JCheckBox getJCheckBox() {
		if (jCheckBox == null) {
			jCheckBox = new JCheckBox();
			jCheckBox.setText("Dialog Valid?");
			jCheckBox.setSelected(true);
			jCheckBox.addItemListener(new java.awt.event.ItemListener() {
				public void itemStateChanged(java.awt.event.ItemEvent e) {
					container.updateButtons();
				}
			});
		}
		return jCheckBox;
	}

	/**
	 * This method initializes jCheckBox1	
	 * 	
	 * @return javax.swing.JCheckBox	
	 */
	private JCheckBox getJCheckBox1() {
		if (jCheckBox1 == null) {
			jCheckBox1 = new JCheckBox();
			jCheckBox1.setText("has error");
			jCheckBox1.addItemListener(new java.awt.event.ItemListener() {
				public void itemStateChanged(java.awt.event.ItemEvent e) {
					container.updateMessage();
				}
			});
		}
		return jCheckBox1;
	}
	
	/**
	 * This method initializes jCheckBox2	
	 * 	
	 * @return javax.swing.JCheckBox	
	 */
	private JCheckBox getJCheckBox2() {
		if (jCheckBox2 == null) {
			jCheckBox2 = new JCheckBox();
			jCheckBox2.setText("has warning");
			jCheckBox2.addItemListener(new java.awt.event.ItemListener() {
				public void itemStateChanged(java.awt.event.ItemEvent e) {
					container.updateMessage();
				}
			});
		}
		return jCheckBox2;
	}

	public static void main(String args[]) {
		int returncode = TitleAreaDialog.show((JFrame)null, "Test dialog", new DialogTestContents());
		
		System.out.println(returncode);
	}

	public String getWarningMessage() {
		if (getJCheckBox2().isSelected()) {
			return "I've got a warning!";
		} else {
			return null;
		}
	}

}  //  @jve:decl-index=0:visual-constraint="10,10"
