/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.jface.dialogs;

/**
 * Minimal interface to a message consumer. Used for dialog pages which can
 * provide a message with an icon.
 *
 */
public interface IMessageConsumer {	
	
	/**
	 * Set the message to display to the given message and type.
	 * @param message the message to display
	 * @param type the severity of the message
	 */
	public void setMessage(String message, IMessageProvider.Type type);
}
