/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.ui;

/**
 * This class is a reimplementation of the Eclipse class org.eclipse.ui.IPageLayout
 */
public interface IPageLayout {
	/**
	 * The part id for the workbench's editor area. This may only be used as a reference part for view addition.
	 */
	//public static String ID_EDITOR_AREA = IPageLayout.class.getPackage() + ".editors";
	public static String ID_EDITOR_AREA = "com.onaro.client.leekui.ui" + ".editors"; //$NON-NLS-1$ //$NON-NLS-2$
	
	public static enum Relationship {
		LEFT, RIGHT, TOP, BOTTOM
	};

	public IPerspectiveDescriptor getDescriptor();

	public String getEditorArea();

	public boolean isFixed();

	public void setFixed(boolean isFixed);

	public void addView(String viewId, Relationship relationship, String refId);

	/**
	 * Returns whether the page's layout will show the editor area.
	 * 
	 * @return <code>true</code> when editor area visible, <code>false</code> otherwise
	 */
	public boolean isEditorAreaVisible();

	/**
	 * Show or hide the editor area for the page's layout.
	 * 
	 * @param showEditorArea
	 *            <code>true</code> to show the editor area, <code>false</code> to hide the editor area
	 */
	public void setEditorAreaVisible(boolean showEditorArea);
}
