/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.ui;

/**
 * This class is a reimplementation of the Eclipse class org.eclipse.ui.IPartService
 */
public interface IPartService 
{
	/**
	 * Adds the given listener for part lifecycle events. Has no effect if an identical listener is already registered.
	 * 
	 * @param listener
	 *            a part listener
	 */
	public void addPartListener(IPartListener listener);

	/**
	 * Returns the active part.
	 * 
	 * @return the active part, or <code>null</code> if no part is currently active
	 */
	public IWorkbenchPart getActivePart();

	/**
	 * Returns the active part reference.
	 * 
	 * @return the active part reference, or <code>null</code> if no part is currently active
	 */
	public IWorkbenchPartReference getActivePartReference();

	/**
	 * Removes the given part listener. Has no affect if an identical listener is not registered.
	 * 
	 * @param listener
	 *            a part listener
	 */
	public void removePartListener(IPartListener listener);

}
