/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.ui;


/**
 * This class is a reimplementation of the Eclipse class org.eclipse.ui.IViewReference
 */
public interface IViewReference extends IWorkbenchPartReference 
{
	/**
     * Returns the secondary ID for the view.
     * 
     * @return the secondary ID, or <code>null</code> if there is no secondary id
     */
	public String getSecondaryId();
	
	/**
     * Returns the <code>IViewPart</code> referenced by this object.
     * Returns <code>null</code> if the view was not instantiated or
     * it failed to be restored.  Tries to restore the view
     * if <code>restore</code> is true.
     */
	public IViewPart getView(boolean restore);
}
