/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.ui;

import javax.swing.Icon;

/**
 * This class is a reimplementation of the Eclipse class org.eclipse.ui.IWorkbenchPartReference
 */
public interface IWorkbenchPartReference 
{
	public String getId();
	
	/**
     * Returns the IWorkbenchPart referenced by this object.
     * Returns <code>null</code> if the editors was not instantiated or
     * it failed to be restored. Tries to restore the editor
     * if <code>restore</code> is true.
     */
    public IWorkbenchPart getPart(boolean restore);

    public String getTitle();
    
    public Icon getTitleIcon();
}
