/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.ui.part;

import com.onaro.client.leekui.ui.IMemento;
import com.onaro.client.leekui.ui.IViewPart;
import com.onaro.client.leekui.ui.IViewSite;
import com.onaro.client.leekui.ui.IWorkbenchPartSite;
import com.onaro.client.leekui.ui.PartInitException;

/**
 * This class is a reimplementation of the Eclipse class org.eclipse.ui.part.ViewPart
 */
public abstract class ViewPart extends WorkbenchPart implements IViewPart {
	
	public IViewSite getViewSite() {
		return (IViewSite) getSite();
	}

	public void init(IViewSite site) throws PartInitException {
		setSite(site);

		// setDefaultContentDescription();
	}

	public void init(IViewSite site, IMemento memento) throws PartInitException {

		init(site);
	}

	@Override
	protected final void checkSite(IWorkbenchPartSite site) {
		super.checkSite(site);

		if (!IViewSite.class.isInstance(site)) {
			String msg = null;
			throw new IllegalArgumentException(msg);
		}

	}
	
	public void saveState(IMemento memento) {
        // do nothing
    }
}
