/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.ui.views;

import java.util.List;

import org.eclipse.core.runtime.IPath;

/**
 * Represents a categorization of views.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 * 
 * This class is a reimplementation of the Eclipse class org.eclipse.ui.views.IViewCategory
 */
public interface IViewCategory {
	/**
	 * Return the views contained within this category. Never <code>null</code>, but may be empty.
	 * 
	 * @return the views contained within this category
	 */
	List<IViewDescriptor> getViews();

	/**
	 * Return the id of this category. Never <code>null</code>.
	 * 
	 * 
	 */
	String getId();

	/**
	 * Return the human readable name of this view category. Never <code>null</code>.
	 * 
	 * 
	 */
	String getLabel();

	/**
	 * Return this categories path. The segments of this path will correspond to category ids.
	 * 
	 */
	IPath getPath();
}
