/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.ui.views;

import java.util.List;

/**
 * This class is a reimplementation of the Eclipse class org.eclipse.ui.views.IViewRegistry
 */
public interface IViewRegistry 
{
	/**
     * Return a view descriptor with the given extension id.  If no view exists
     * with the id return <code>null</code>.
     * 
     * @param id the id to search for
     * @return the descriptor or <code>null</code>
     */
	public IViewDescriptor find(String id);
	
	/**
     * Return a list of views defined in the registry.
     * 
     * @return the views.  Never <code>null</code>.
     */
	public List<IViewDescriptor> getViews();
	
	/**
     * Returns an array of view categories.
     * 
     * @return the categories.  Never <code>null</code>.
     */
    public List<IViewCategory> getCategories();
}
